Check Point Advisories

Microsoft Active Directory LDAP Modify Request Buffer Overflow (MS07-039; CVE-2007-0040)

Check Point Reference: CPAI-2007-086
Date Published: 11 Jul 2007
Severity: Critical
Last Updated: 4 May 2015
Industry Reference:CVE-2007-0040
Protection Provided by:

Security Gateway
R80, R77, R76, R75, R71, R70

Who is Vulnerable?
Vulnerability Description Lightweight Directory Access Protocol (LDAP) is Internet standard protocol designed for querying and modifying directory services.Multiple vulnerabilities have been reported in Microsoft Windows Active Directory.The flaws are in the way the Active Directory handles LDAP requests.The vulnerabilities could be exploited by remote attackers to crash the service or execute arbitrary code on an affected system.

Protection Overview

This protection will detect and block the transferring of malformed LDAP Modify requests.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75 / R71 / R70

  1. In the IPS tab, click Protections and find the Microsoft Active Directory LDAP Modify Request Buffer Overflow (MS07-039) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  LDAP Protections.
Attack Information:  Microsoft Active Directory LDAP Modify request buffer overflow (MS07-039)